nonstd::sv_lite Namespace Reference

## Functions

template<class CharT , class Traits >
std::basic_string< CharT, Traits > | to_string (basic_string_view< CharT, Traits > v)
template<class CharT , class Traits , class Allocator >
std::basic_string< CharT, Traits, Allocator > | to_string (basic_string_view< CharT, Traits > v, Allocator const &a)
template<class CharT , class Traits , class Allocator >
basic_string_view< CharT, Traits > | to_string_view (std::basic_string< CharT, Traits, Allocator > const &s)

## Function Documentation

## to_string() [1/2]

template<class CharT , class Traits >

std::basic_string< CharT, Traits > nonstd::sv_lite::to_string | ( | basic_string_view< CharT, Traits > | v | ) |

Examples
  sample/async_handling_with_sobjectizer/main.cpp, and sample/express_router/main.cpp.

Definition at line 1508 of file string_view.hpp.

## to_string() [2/2]

template<class CharT , class Traits , class Allocator >

std::basic_string< CharT, Traits, Allocator > nonstd::sv_lite::to_string | ( | basic_string_view< CharT, Traits > | v,
|  | Allocator const & | a
| ) |  |

Definition at line 1515 of file string_view.hpp.

## to_string_view()

template<class CharT , class Traits , class Allocator >

basic_string_view< CharT, Traits > nonstd::sv_lite::to_string_view | ( | std::basic_string< CharT, Traits, Allocator > const & | s | ) |

Definition at line 1524 of file string_view.hpp.